BizKitHub
DocsAPI ReferenceProduct Category/bff/product-category/category-custom-field-upsert
postProduct CategoryAdmin BFF

/bff/product-category/category-custom-field-upsert

Adds (or edits) a custom field definition that will be shown only for products whose main_category equals this category.

Product CategorypostBffProduct-categoryCategory-custom-field-upsert

Parameters

JSON body

Request body

application/json
categoryCodestringRequired
idstringOptional
keystringRequired

snake_case identifier, 2-32 chars.

typestringRequired
Examplestextnumberbooleandateselecturlemail
labelstringRequired
helperTextstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
placeholderstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
requiredbooleanRequired
activebooleanRequired
positionnumberOptional
validationPatternstring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
idstringRequired

Response example

application/json
{
  "id": "example_id"
}

Request example

POST /bff/product-category/category-custom-field-upsert

post
curl -X POST "https://api.bizkithub.com/bff/product-category/category-custom-field-upsert" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "categoryCode": "example_categoryCode",
  "id": "example_id",
  "key": "example_key",
  "type": "text",
  "label": "example_label",
  "required": false,
  "active": false,
  "position": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key